cascading.tuple.io

## Interface TupleInputStream.ElementReader

All Known Implementing Classes:
  TupleSerialization.SerializationElementReader

Enclosing class:
  TupleInputStream

    public static interface TupleInputStream.ElementReader

### Method Summary

Methods
`void` `close()`
`Comparator` `getComparatorFor(int type, DataInputStream inputStream)`
`Object` `read(Class type, DataInputStream inputStream)`
`Object` `read(int token, DataInputStream inputStream)`

### Method Detail

#### read

    Object read(int token,
              DataInputStream inputStream)
                throws IOException

Throws:
  `IOException`

#### read

    Object read(Class type,
              DataInputStream inputStream)
                throws IOException

Throws:
  `IOException`

#### getComparatorFor

    Comparator getComparatorFor(int type,
                              DataInputStream inputStream)
                                throws IOException

Throws:
  `IOException`

#### close

    void close()